Bugs item #4805, was opened at 2006-06-19 15:57
You can respond by visiting: 
http://rubyforge.org/tracker/?func=detail&atid=1698&aid=4805&group_id=426

Category: None
Group: None
Status: Open
Resolution: None
Priority: 3
Submitted By: Christian Maaser (sense)
Assigned to: Nobody (None)
Summary: ruby 1.8.4 does not compile on win32 using VC8

Initial Comment:
I just downloaded the source from 
http://rubyforge.org/frs/download.php/7858/ruby-1.8.4.tar.gz
ran "configure i686-mswin32" as mentioned in the readme file and started nmake. After a few seconds it stops saying:

        .\miniruby.exe ./../win32/mkexports.rb -output=msvcr80-ruby18.def msvcr8
0-ruby18-static.lib
./../win32/mkexports.rb:6: [BUG] Segmentation fault
ruby 1.8.4 (2005-12-24) [i386-mswin32]


This application has requested the Runtime to terminate it in an unusual way.
Please contact the application's support team for more information.

---------

AppName: miniruby.exe	 AppVer: 0.0.0.0	 ModName: miniruby.exe
ModVer: 0.0.0.0	 Offset: 00020c26

---------

NMAKE : fatal error U1077: '.\miniruby.exe' : return code '0x3'
Stop.



I use the MS VS8 (Express) compiler.

----------------------------------------------------------------------

You can respond by visiting: 
http://rubyforge.org/tracker/?func=detail&atid=1698&aid=4805&group_id=426